import {
    request
} from "../utils/request";

module.exports = {
    // 用户登录
    userLogin: data => request('/user/openId', 'get', data),
    // 统计用户登录
    loginLog: data => request('/loginLog', 'post', data),
    //获取他人用户信息,
    getUserInfo: data => request('/user/info', 'get', data),
    //获取用户信息
    getMyInfo: data => request('/v3/user/my', 'get', data),
    // 设置用户信息
    setUserInfo: (data, method = 'post') => request('/user', method, data),
    // 兑换激活码
    getLearnCard: data => request('/v3/learnCard/exchange', 'get', data, false, false),
    // 购买vip
    buyVip: data => request('/order', 'post', data, true),
    //获取是否vip及过期时间
    getVipInfo: data => request('/auth', 'get', data),
    //获取自己朗读的作品
    getSelfRead: data => request('/userRead/my', 'get', data),
    //获取其他用户朗读的作品
    getUserRead: data => request('/userRead', 'get', data),
    // 获取用户关注列表 type：1我的关注;2我的粉丝 ;3相互关注
    getFansList: data => request('/fans/myFriend', 'get', data),
    // 加关注请求类型为post,取消关注为put
    setFans: (data, method = 'post') => request('/fans', method, data),
    // 搜索用户
    getOtherUser: data => request('/v3/user/query', 'get', data),
    // 获取收藏列表
    getFavoritesList: data => request('/favorites', 'get', data),
    // 用code获取手机号
    exchangemobile: data => request('/v3/user/phoneNumber', 'get', data),
    // 绑定手机号
    bindPhone: data => request('/v3/user/bindMobile', 'post', data),
    // 获取邀请的用户列表
    getInviteList: data => request('/v3/user/invite', 'get', data),
    // 绑定音箱端
    bindDevice: data => request('/v3/user/deviceCode', 'post', data),
    // 获取公众号二维码（携带用户uid）
    getWxQrcode: data => request('/v3/user/showqrcode', 'get', data),
}